Package org.apache.tomcat.websocket

## Class PojoHolder

- java.lang.Object
- - org.apache.tomcat.websocket.PojoHolder

All Implemented Interfaces:
  `ClientEndpointHolder`

    public class PojoHolder
    extends java.lang.Object
    implements ClientEndpointHolder

### Constructor Summary

Constructors
`PojoHolder​(java.lang.Object pojo, ClientEndpointConfig clientEndpointConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getClassName()`
`Endpoint` `getInstance​(InstanceManager instanceManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoHolder

    public PojoHolder​(java.lang.Object pojo,
                      ClientEndpointConfig clientEndpointConfig)

### Method Detail

#### getClassName

    public java.lang.String getClassName()

Specified by:
  `getClassName` in interface `ClientEndpointHolder`

#### getInstance

    public Endpoint getInstance​(InstanceManager instanceManager)
                         throws DeploymentException

Specified by:
  `getInstance` in interface `ClientEndpointHolder`
Throws:
  `DeploymentException`